Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator:

## Public Member Functions
| __construct (RouterInterface $router)
| getStoragePathForField (Field $field, VersionInfo $versionInfo)
| generate (string $route, ?array $parameters=[])
| getRoute (Field $field, VersionInfo $versionInfo)
| getParameters (Field $field, VersionInfo $versionInfo)
Public Member Functions inherited from eZ\Publish\SPI\FieldType\BinaryBase\RouteAwarePathGenerator
| generate (string $route, array $parameters=[])

## Private Attributes
| $router
| $route = 'ez_content_download_field_id'

## Detailed Description

Definition at line 15 of file ContentDownloadUrlGenerator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator::__construct | ( | RouterInterface | $router | ) |

Definition at line 23 of file ContentDownloadUrlGenerator.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\$router.

## Member Function Documentation

## ◆ generate()

eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator::generate | ( | string | $route,
|  | ?array | $parameters = `[]`
| ) |  |

Definition at line 33 of file ContentDownloadUrlGenerator.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\$route.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\getStoragePathForField().

## ◆ getParameters()

eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator::getParameters | ( | Field | $field,
|  | VersionInfo | $versionInfo
| ) |  |

Implements eZ\Publish\SPI\FieldType\BinaryBase\RouteAwarePathGenerator.

Definition at line 43 of file ContentDownloadUrlGenerator.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\getStoragePathForField().

## ◆ getRoute()

eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator::getRoute | ( | Field | $field,
|  | VersionInfo | $versionInfo
| ) |  |

Implements eZ\Publish\SPI\FieldType\BinaryBase\RouteAwarePathGenerator.

Definition at line 38 of file ContentDownloadUrlGenerator.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\$route.

## ◆ getStoragePathForField()

eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator::getStoragePathForField | ( | Field | $field,
|  | VersionInfo | $versionInfo
| ) |  |

Reimplemented from eZ\Publish\SPI\FieldType\BinaryBase\PathGenerator.

Definition at line 28 of file ContentDownloadUrlGenerator.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\generate(), and eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\getParameters().

## Member Data Documentation

## ◆ $route

eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator::$route = 'ez_content_download_field_id'
| private

Definition at line 21 of file ContentDownloadUrlGenerator.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\generate(), and eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\getRoute().

## ◆ $router

eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator::$router
| private

Definition at line 18 of file ContentDownloadUrlGenerator.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\BinaryBase\ContentDownloadUrlGenerator\__construct().

The documentation for this class was generated from the following file:

- ContentDownloadUrlGenerator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.